body {
  font-family: $font-family;
  font-size: $font-size;
  line-height: $line-height;
  color: $text-color;
  background-color: $body-bg;
}

h1, h2, h3, h4, h5, h6 {
  color: black;
  line-height: $title-line-height;
  &.ant-typography {
    color: black;
    font-weight: bold;
    line-height: $title-line-height;
  }
  &.ant-typography-primary {
    color: $primary;
  }
  &.ant-typography-white {
    color: white;
  }
}

button {
  &.ant-btn-primary {
    border-color: $primary;
    background: $primary;
    &:hover, &:focus {
      border-color: $secondary;
      background: $secondary;
    }
  }
}

a, a:active, a:hover, a:focus {
  text-decoration: none;
}

strong {
  font-weight: bold;
}

img {
  image-rendering: crisp-edges;
  image-rendering: -moz-crisp-edges;          /* Firefox */
  image-rendering: -o-crisp-edges;            /* Opera */
  image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming)*/
  -ms-interpolation-mode: nearest-neighbor;   /* IE (non-standard property) */
}

main {
  min-height: 90vh;
  padding-top: 80px;
}

.form-control {
  height: 40px;
  border-radius: 5px;
  padding: 0.375rem 1rem;
}

.scroll-to-top {
  position: fixed;
  bottom: 2rem;
  right: 2rem;
  width: 50px;
  height: 50px;
  z-index: 99;
}

.scroll-element {
  height: 150px;
  margin-top: -150px;
  @include media-breakpoint-down(sm) {
    height: 100px;
    margin-top: -100px;
  }
}
